from fastapi import APIRouter
from ApiServices.AuthService.endpoints.auth.route import auth_route


def get_routes() -> list[APIRouter]:
    return [auth_route]


def get_safe_endpoint_urls() -> list[tuple[str, str]]:
    return [
        ("/", "GET"),
        ("/docs", "GET"),
        ("/redoc", "GET"),
        ("/openapi.json", "GET"),
        ("/auth/register", "POST"),
        ("/auth/login", "POST"),
        ("/metrics", "GET"),
        ("/authentication/login", "POST"),
        ("/authentication/password/reset", "POST"),
        ("/authentication/password/create", "POST"),
        ("/authentication/password/verify-otp", "POST"),
    ]
